Bug 1123707 - [abrt] gnome-photos: photos_organize_collection_model_get_placeholder(): gnome-photos killed by SIGSEGV
Summary: [abrt] gnome-photos: photos_organize_collection_model_get_placeholder(): gnom...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-photos
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: gnome-sig
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:5e1e65808c2ae204d19336b8c0a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-28 04:04 UTC by Carlos Morel-Riquelme
Modified: 2015-12-02 16:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 03:18:48 UTC


Attachments (Terms of Use)
File: backtrace (28.54 KB, text/plain)
2014-07-28 04:04 UTC, Carlos Morel-Riquelme
no flags Details
File: cgroup (190 bytes, text/plain)
2014-07-28 04:04 UTC, Carlos Morel-Riquelme
no flags Details
File: core_backtrace (17.04 KB, text/plain)
2014-07-28 04:04 UTC, Carlos Morel-Riquelme
no flags Details
File: dso_list (15.15 KB, text/plain)
2014-07-28 04:04 UTC, Carlos Morel-Riquelme
no flags Details
File: environ (924 bytes, text/plain)
2014-07-28 04:04 UTC, Carlos Morel-Riquelme
no flags Details
File: exploitable (82 bytes, text/plain)
2014-07-28 04:04 UTC, Carlos Morel-Riquelme
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-28 04:04 UTC, Carlos Morel-Riquelme
no flags Details
File: maps (80.65 KB, text/plain)
2014-07-28 04:04 UTC, Carlos Morel-Riquelme
no flags Details
File: open_fds (965 bytes, text/plain)
2014-07-28 04:04 UTC, Carlos Morel-Riquelme
no flags Details
File: proc_pid_status (945 bytes, text/plain)
2014-07-28 04:04 UTC, Carlos Morel-Riquelme
no flags Details
File: var_log_messages (5.32 KB, text/plain)
2014-07-28 04:04 UTC, Carlos Morel-Riquelme
no flags Details

Description Carlos Morel-Riquelme 2014-07-28 04:04:27 UTC
Description of problem:
Random crash, but the app work fine 

Version-Release number of selected component:
gnome-photos-3.13.4-1.fc21

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-photos --gapplication-service
crash_function: photos_organize_collection_model_get_placeholder
executable:     /usr/bin/gnome-photos
kernel:         3.15.6-200.fc20.x86_64
runlevel:       unknown
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 photos_organize_collection_model_get_placeholder
 #1 photos_organize_collection_view_create_collection_executed
 #2 photos_create_collection_job_query_executed
 #3 photos_tracker_queue_collector
 #4 g_simple_async_result_complete at /lib64/libgio-2.0.so.0
 #5 tracker_sparql_backend_real_update_blank_async_co at /lib64/libtracker-sparql-1.0.so.0
 #6 g_simple_async_result_complete at /lib64/libgio-2.0.so.0
 #7 tracker_bus_connection_real_update_blank_async_co at /lib64/libtracker-sparql-1.0.so.0
 #8 g_simple_async_result_complete at /lib64/libgio-2.0.so.0
 #9 complete_in_idle_cb at /lib64/libgio-2.0.so.0

Potential duplicate: bug 1037554

Comment 1 Carlos Morel-Riquelme 2014-07-28 04:04:30 UTC
Created attachment 921640 [details]
File: backtrace

Comment 2 Carlos Morel-Riquelme 2014-07-28 04:04:31 UTC
Created attachment 921641 [details]
File: cgroup

Comment 3 Carlos Morel-Riquelme 2014-07-28 04:04:33 UTC
Created attachment 921642 [details]
File: core_backtrace

Comment 4 Carlos Morel-Riquelme 2014-07-28 04:04:34 UTC
Created attachment 921643 [details]
File: dso_list

Comment 5 Carlos Morel-Riquelme 2014-07-28 04:04:35 UTC
Created attachment 921644 [details]
File: environ

Comment 6 Carlos Morel-Riquelme 2014-07-28 04:04:36 UTC
Created attachment 921645 [details]
File: exploitable

Comment 7 Carlos Morel-Riquelme 2014-07-28 04:04:38 UTC
Created attachment 921646 [details]
File: limits

Comment 8 Carlos Morel-Riquelme 2014-07-28 04:04:39 UTC
Created attachment 921647 [details]
File: maps

Comment 9 Carlos Morel-Riquelme 2014-07-28 04:04:41 UTC
Created attachment 921648 [details]
File: open_fds

Comment 10 Carlos Morel-Riquelme 2014-07-28 04:04:42 UTC
Created attachment 921649 [details]
File: proc_pid_status

Comment 11 Carlos Morel-Riquelme 2014-07-28 04:04:43 UTC
Created attachment 921650 [details]
File: var_log_messages

Comment 12 Fedora Admin XMLRPC Client 2014-12-02 14:23:57 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 13 Fedora End Of Life 2015-11-04 14:48:54 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2015-12-02 03:18:51 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.